<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>
<br>
<br>
<strong><div align="center"><font face="Verdana" size="2" color="#800000">Gerar Classificação do Processo Seletivo</font></div></strong>
<?
if (!isset($curso)) {
	$sql = $sql_cursos;
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	$num = mysql_num_rows($result);
	if ($num == 0 ) {
		echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
	}
	else {
		echo '<br><br><center><strong><font face="Verdana" size="2" color="#000000">Escolha o curso</font></strong><br><br>';
		while($info = mysql_fetch_array($result)) {
			echo '<a href="gera_classificacao.php?curso='. $info["codigo"].'"><font color="000000" face="verdana" size="2">' . $info["nome_curso"] . '</font></a><br>';
		}
		echo '</center>';
	}
}
else {
// Gerando Classificacao


	$sql = "SELECT * FROM resultado_final where curso = '$curso' and codigo_vest = '$qual_vestibular' order by total_final DESC";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	$num_total_de_candidatos = mysql_num_rows($result);
	if ($num_total_de_candidatos == 0 ) {
		echo '<br><br><center><font face="Verdana" size="2" color="#FF0000"><strong>Curso não processado até o momento!!!</strong></font></center>';
	}
	else {
		$colocacao = 1;
		$sql = "SELECT * FROM resultado_final where curso = '$curso' and (situacao <> '0' and situacao <> '2') and codigo_vest = '$qual_vestibular' order by total_final DESC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		while($info = mysql_fetch_array($result)) {
			$cod_identifica = $info["codigo"];
			$matr_candidato = $info["matricula"];
			$sql_cand_mat = "select nome_candidato from candidato where codigo=$matr_candidato";
			 $result_cand_mat = mysql_query($sql_cand_mat);
			 $temp = mysql_fetch_array($result_cand_mat);
			 $nome_candidato = $temp["nome_candidato"];
			 
			$sql = "UPDATE resultado_final set colocacao='$colocacao', nome_candidato = '$nome_candidato' WHERE codigo=$cod_identifica";
			mysql_query($sql)
				or die ( 'Não foi possivel executar a classificação' );
			$colocacao++;
		}
		$sql = "SELECT * FROM resultado_final where curso = '$curso' and (situacao = '0' or situacao = '2') and codigo_vest ='$qual_vestibular' order by total_final DESC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		while($info = mysql_fetch_array($result)) {
			$cod_identifica = $info["codigo"];
			$matr_candidato = $info["matricula"];
			$sql_cand_mat = "select nome_candidato from candidato where codigo=$matr_candidato";
			 $result_cand_mat = mysql_query($sql_cand_mat);
			 $temp = mysql_fetch_array($result_cand_mat);
			 $nome_candidato = $temp["nome_candidato"];
			 
			$sql = "UPDATE resultado_final set colocacao='$colocacao', nome_candidato = '$nome_candidato' WHERE codigo=$cod_identifica";
			mysql_query($sql)
				or die ( 'Não foi possivel executar a classificação' );
			$colocacao++;
		}
		// Desempate
		$sql = "SELECT * FROM resultado_final  where curso = '$curso' and (situacao <> '0' and situacao <> '2') and codigo_vest = '$qual_vestibular' order by colocacao ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		//echo $num;
		$i=1;
		$aux_banco = 0;
		while ($i < $num) {
			$sql = "SELECT * FROM resultado_final where curso = '$curso'  and (situacao <> '0' and situacao <> '2') and codigo_vest = '$qual_vestibular' order by colocacao ASC LIMIT $aux_banco,2";
			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );
			$pega_1 = 0;
			$pega_2 = 0;
			while($info = mysql_fetch_array($result)) {
				if ($pega_1 == 0) {
					$cod_1 = $info["codigo"];
					$nota_1 = $info["total_final"];
					$mat_1 = $info["matricula"];
					$colocacao_1 = $info["colocacao"];
					$pega_1 = 1;
				}
				else {
					$cod_2 = $info["codigo"];
					$nota_2 = $info["total_final"];
					$mat_2 = $info["matricula"];
					$colocacao_2 = $info["colocacao"];
					$pega_2 = 1;
				}
				//echo $info["colocacao"] . ' - MAT.: ' . $info["matricula"] . ' TOTAL.: ' . $info["total_final"] . '<br>';
				if (($pega_1 == 1) && ($pega_2 == 1)) {
					if ($nota_1 == $nota_2) {
						//echo 'N1: ' . $nota_1 . ' - N2: ' . $nota_2 . ' <font color="red">EMPATE</font><BR><BR>';
						// Desempate
						// Obetendo Nota Portugues
						// Cand 1
						$sql_pt = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '1'";
						$result_pt = mysql_query($sql_pt)
							or die ( 'Não foi possível executar a query 161.' );
						$info_pt = mysql_fetch_array($result_pt);
						$nota_1_pt = $info_pt["pontuacao"];
						// Cand 2
						$sql_pt = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '1'";
						$result_pt = mysql_query($sql_pt)
							or die ( 'Não foi possível executar a query 161.' );
						$info_pt = mysql_fetch_array($result_pt);
						$nota_2_pt = $info_pt["pontuacao"];
						//echo 'PT 1: ' . $nota_1_pt . ' - PT 2: ' . $nota_2_pt . '<br>';
						// Nota do Cand 2 > Nota do Cand 1
						if ($nota_2_pt > $nota_1_pt) {
							// Desempate OK 
							//echo '<br><font color="blue">Colocacao Atualizada</font><br>';
							$i = 0; // Iniciando verificacao novamente
							$aux_banco = -1; // Zerando contador da query

							// Atualizando colocacao do Cand 1
							$sql_at_1 = "UPDATE resultado_final set colocacao='$colocacao_2' WHERE codigo=$cod_1";
							mysql_query($sql_at_1)
								or die ( 'Não foi possivel executar a classificação' );

							// Atualizando colocacao do Cand 2
							$sql_at_2 = "UPDATE resultado_final set colocacao='$colocacao_1' WHERE codigo=$cod_2";
							mysql_query($sql_at_2)
								or die ( 'Não foi possivel executar a classificação' );
						}
						// Nota do Cand 2 == Nota do Cand 1
						if ($nota_2_pt == $nota_1_pt) {
							//echo '<font color="#008000"><h1>Verificar Redacao</h1></font>';
							// Obetendo Nota Redacao
							// Cand 1
							$sql_red = "SELECT * FROM resultado_final where matricula= '$mat_1'";
							$result_red = mysql_query($sql_red)
								or die ( 'Não foi possível executar a query 161.' );
							$info_red = mysql_fetch_array($result_red);
							$nota_1_red = $info_red["redacao"];
							
							// Cand 2
							$sql_red = "SELECT * FROM resultado_final where matricula= '$mat_2'";
							$result_red = mysql_query($sql_red)
								or die ( 'Não foi possível executar a query 161.' );
							$info_red = mysql_fetch_array($result_red);
							$nota_2_red = $info_red["redacao"];
							
							//echo 'RED 1: ' . $nota_1_red . ' - RED 2: ' . $nota_2_red . '<br>';
							if ($nota_2_red > $nota_1_red) {
								// Desempate OK (REDACAO)
								//echo '<br><font color="blue">Colocacao Atualizada REDACAO</font><br>';
								$i = 0; // Iniciando verificacao novamente
								$aux_banco = -1; // Zerando contador da query
	
								// Atualizando colocacao do Cand 1
								$sql_at_1 = "UPDATE resultado_final set colocacao='$colocacao_2' WHERE codigo=$cod_1";
								mysql_query($sql_at_1)
									or die ( 'Não foi possivel executar a classificação' );
	
								// Atualizando colocacao do Cand 2
								$sql_at_2 = "UPDATE resultado_final set colocacao='$colocacao_1' WHERE codigo=$cod_2";
								mysql_query($sql_at_2)
									or die ( 'Não foi possivel executar a classificação' );
							}

							if ($nota_2_red == $nota_1_red) {
								//echo '<font color="#008000"><h1>Verificar Nota Especifica</h1></font>';
								// Obetendo Nota de Maior Peso
								// Cand 1
								if ($curso == 1) { // Geografia -> Historia e Geografia
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '4'";
								}
								if ($curso == 2) { // Historia -> Historia e Geografia
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '4'";
								}
								if ($curso == 3) { // Letras: Pt Ingles -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '2'";
								}
								if ($curso == 4) { // Letras: Pt Fr -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '2'";
								}
								if ($curso == 5) { // Pedagogia -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '2'";
								}
								if ($curso == 6) { // Matematica -> Mat Fis
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '5'";
								}
								if ($curso == 7) { //Fisica -> MAt Fisica
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '5'";
								}
								if ($curso == 8) { // Ed Fisica -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '3'";
								}
								if ($curso == 9) { // Admin -> Mat Fisica
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '5'";
								}
								if ($curso == 10) { // Fisioterapia -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '3'";
								}
								if ($curso == 18) { // Química -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '3'";
								}
								if ($curso == 19) { // Medicina -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_1' and cod_materia = '3'";
								}
								$result_esp = mysql_query($sql_esp)
									or die ( 'Não foi possível executar a query 161.' );
								$info_esp = mysql_fetch_array($result_esp);
								$nota_1_esp = $info_esp["pontuacao"];
								
								// Cand 2
								if ($curso == 1) { // Geografia -> Historia e Geografia
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '4'";
								}
								if ($curso == 2) { // Historia -> Historia e Geografia
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '4'";
								}
								if ($curso == 3) { // Letras: Pt Ingles -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '2'";
								}
								if ($curso == 4) { // Letras: Pt Fr -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '2'";
								}
								if ($curso == 5) { // Pedagogia -> Lingua
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '2'";
								}
								if ($curso == 6) { // Matematica -> Mat Fis
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '5'";
								}
								if ($curso == 7) { //Fisica -> MAt Fisica
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '5'";
								}
								if ($curso == 8) { // Ed Fisica -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '3'";
								}
								if ($curso == 9) { // Admin -> Mat Fisica
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '5'";
								}
								if ($curso == 10) { // Fisioterapia -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '3'";
								}
								if ($curso == 18) { // Química -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '3'";
								}
								if ($curso == 19) { // Medicina -> Quim Bio
									$sql_esp = "SELECT * FROM resultado_parcial where matricula= '$mat_2' and cod_materia = '3'";
								}
								$result_esp = mysql_query($sql_esp)
									or die ( 'Não foi possível executar a query 161.' );
								$info_esp = mysql_fetch_array($result_esp);
								$nota_2_esp = $info_esp["pontuacao"];
								
								//echo 'ESP 1: ' . $nota_1_esp . ' - ESP 2: ' . $nota_2_esp . '<br>';
								if ($nota_2_esp > $nota_1_esp) {
									// Desempate OK (Especifico)
									//echo '<br><font color="blue">Colocacao Atualizada ESPECIFICO</font><br>';

									$i = 0; // Iniciando verificacao novamente
									$aux_banco = -1; // Zerando contador da query

									// Atualizando colocacao do Cand 1
									$sql_at_1 = "UPDATE resultado_final set colocacao='$colocacao_2' WHERE codigo=$cod_1";
									mysql_query($sql_at_1)
										or die ( 'Não foi possivel executar a classificação' );
		
									// Atualizando colocacao do Cand 2
									$sql_at_2 = "UPDATE resultado_final set colocacao='$colocacao_1' WHERE codigo=$cod_2";
									mysql_query($sql_at_2)
										or die ( 'Não foi possivel executar a classificação' );
								}
							}
							if ($nota_1_esp == $nota_2_esp) {
								// Classificacao por idade
								//echo '<font color="#996600"><h1>COMPARAR IDADE</h1></font>';

								// Obetendo Data Nasc
								// Cand 1
								$sql_nas = "SELECT nascimento FROM candidato where codigo = $mat_1";
								$result_nas = mysql_query($sql_nas)
									or die ( 'Não foi possível executar a query 161.' );
								$info_nas = mysql_fetch_array($result_nas);
								$nota_1_nas_aux = trim(Descriptografar($info_nas["nascimento"],$Chave));
								$nas_aux = split('/',$nota_1_nas_aux);
								$nota_1_nas = $nas_aux[1] . '/' . $nas_aux[0] . '/' .$nas_aux[2];
								
								// Cand 2
								$sql_nas = "SELECT nascimento FROM candidato where codigo = $mat_2";
								$result_nas = mysql_query($sql_nas)
									or die ( 'Não foi possível executar a query 161.' );
								$info_nas = mysql_fetch_array($result_nas);
								$nota_2_nas_aux = trim(Descriptografar($info_nas["nascimento"],$Chave));
								$nas_aux = split('/',$nota_2_nas_aux);
								$nota_2_nas = $nas_aux[1] . '/' . $nas_aux[0] . '/' .$nas_aux[2];
								$unix_data_1 = strtotime($nota_1_nas);
								$unix_data_2 = strtotime($nota_2_nas);
								if ($unix_data_2 < $unix_data_1) {
									// Alterar colocacao
									//echo '<h1>ALTERAR</H1>';
									// Atualizando colocacao do Cand 1
									$sql_at_1 = "UPDATE resultado_final set colocacao='$colocacao_2' WHERE codigo=$cod_1";
									mysql_query($sql_at_1)
										or die ( 'Não foi possivel executar a classificação' );
		
									// Atualizando colocacao do Cand 2
									$sql_at_2 = "UPDATE resultado_final set colocacao='$colocacao_1' WHERE codigo=$cod_2";
									mysql_query($sql_at_2)
										or die ( 'Não foi possivel executar a classificação' );
								}
								//echo 'NAS 1: ' . $nota_1_nas . ' - NAS 2: ' . $nota_2_nas . '<br>';
							}
						}
					}
				}
			}
			//echo '<br><hr><br>';
			$i++;
			$aux_banco++;
		}
		// Arrumando situacao dos candidatos
		$sql = "SELECT vagas FROM cursos where codigo = $curso";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$info = mysql_fetch_array($result);
		$numero_de_vagas = trim(Descriptografar($info["vagas"],$Chave));
		
		// Atualizando situacao
		
		$sql = "SELECT * FROM resultado_final where curso = '$curso' and situacao = '1' and codigo_vest = '$qual_vestibular' order by colocacao LIMIT $numero_de_vagas,$num_total_de_candidatos";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		while ($info = mysql_fetch_array($result)) {
			$cod_interno = $info["codigo"];
			$sql_at_2 = "UPDATE resultado_final set situacao='3' WHERE codigo=$cod_interno";
			mysql_query($sql_at_2)
				or die ( 'Não foi possivel executar a classificação' );
		}
		echo '<br><br><br><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Classificação Gerada.<br>Clique em Relatórios para visualizar a Classificação Final.</font></div></strong><br><br><br>';
	}
}
?>

</body>
</html>
